# $Revision: 1.10 $, $Date: 2008/08/02 20:18:21 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
%define		_name confuse
Summary:	libConfuse - a library for parsing configuration files
Summary(pl.UTF-8):	libConfuse - biblioteka do analizy plików konfiguracyjnych
Name:		libconfuse
Version:	2.6
Release:	2
License:	MIT
Group:		Libraries
Source0:	http://bzero.se/confuse/%{_name}-%{version}.tar.gz
# Source0-md5:	0e883d66f0f58fc33585b430c652aa30
Patch0:		%{name}-no_tests.patch
URL:		http://www.nongnu.org/confuse/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake > 1.6.3
BuildRequires:	gettext-devel >= 0.16.1
BuildRequires:	libtool > 1.4.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libConfuse is a configuration file parser library written in C. It
supports sections and (lists of) values (strings, integers, floats,
booleans or other sections), as well as some other features (such as
single/double-quoted strings, environment variable expansion,
functions and nested include statements).

It makes it very easy to add configuration file capability to a
program using a simple API. libConfuse aims to be easy to use and
quick to integrate with your code.

%description -l pl.UTF-8
Biblioteka libConfuse jest analizatorem plików konfiguracyjnych.
Napisana została w języku C. Plik konfiguracyjny może zawierać sekcje
i listę wartości następujących typów: napisy, liczby całkowite,
zmiennoprzecinkowe, wartości logiczne. Napisy mogą być z pojedynczym
lub podwójnym cudzysłowem. Zmienne środowiskowe są rozwijane. Można
używać funkcji i zagnieżdżać wyrażenia.

Biblioteka umożliwia w prosty sposób dodanie do programu obsługę
plików konfiguracyjnych używając prostego API. libConfuse ma być
biblioteką prostą w użyciu i pozwalać na szybką integrację z kodem
programu.

%package devel
Summary:	Header files for libConfuse library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libConfuse
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This is the package containing the header files for libConfuse
library.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe biblioteki libConfuse.

%package static
Summary:	Static libConfuse library
Summary(pl.UTF-8):	Statyczna biblioteka libConfuse
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libConfuse library.

%description static -l pl.UTF-8
Statyczna biblioteka libConfuse.

%prep
%setup -q -n %{_name}-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
CPPFLAGS="-DYY_NO_INPUT"
%configure \
	%{!?with_static_libs:--disable-static} \
	--enable-shared

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_examplesdir}/%{name}-%{version},%{_mandir}/man3,%{_pkgconfigdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install doc/man/man3/* $RPM_BUILD_ROOT%{_mandir}/man3

rm -rf examples/{ftpconf,reread,simple,*.o}
install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%find_lang %{_name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{_name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_libdir}/libconfuse.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libconfuse.so.0

%files devel
%defattr(644,root,root,755)
%doc doc/html doc/tutorial-html
%attr(755,root,root) %{_libdir}/libconfuse.so
%{_libdir}/libconfuse.la
%{_includedir}/confuse.h
%{_pkgconfigdir}/libconfuse.pc
%{_mandir}/man3/cfg_*.3*
%{_mandir}/man3/confuse.h.3*
%{_examplesdir}/%{name}-%{version}

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libconfuse.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libconfuse.spec,v $
Revision 1.10  2008/08/02 20:18:21  wiget
 - fix building, release 2

Revision 1.9  2008-02-07 18:25:05  qboosh
- updated to 2.6
- License is MIT-like now

Revision 1.8  2008-02-07 17:44:20  qboosh
- pl fix

Revision 1.7  2007-09-27 10:16:09  gotar
- package *.pc file, rel 1

Revision 1.6  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.5  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.4  2006/03/12 18:32:04  qboosh
- added missing .so symlink

Revision 1.3  2006/03/11 06:13:07  twittner
- corrected

Revision 1.2  2006/03/10 23:22:59  maciek2w
- packaged manpages, examples, documentation

Revision 1.1  2006/03/10 22:53:40  maciek2w
- initial release
